### A free/open-source library for quantitative finance

Public Member Functions
FdHestonHullWhiteVanillaEngine Class Reference
Vanilla option engines

Finite-Differences Heston Hull-White Vanilla Option engine. More...

`#include <ql/pricingengines/vanilla/fdhestonhullwhitevanillaengine.hpp>`

Inheritance diagram for FdHestonHullWhiteVanillaEngine:
[legend]

List of all members.

## Public Member Functions

| FdHestonHullWhiteVanillaEngine (const boost::shared_ptr< HestonModel > &model, const boost::shared_ptr< HullWhiteProcess > &hwProcess, Real corrEquityShortRate, Size tGrid=50, Size xGrid=100, Size vGrid=40, Size rGrid=20, Size dampingSteps=0, bool controlVariate=true, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer())
void | calculate () const
void | update ()
void | enableMultipleStrikesCaching (const std::vector< Real > &strikes)

## Detailed Description

Finite-Differences Heston Hull-White Vanilla Option engine.

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature and comparison with Black/Heston pricing.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from GenericEngine< DividendVanillaOption::arguments, DividendVanillaOption::results >.